*, *::before, *::after{
	box-sizing: border-box;
}

html, body {
	height: 100%;	
}

body{
	background: linear-gradient(#00bfff 10%, #808080 85%);
	background-size: cover;
	font-family: 'Open Sans', sans-serif;
	font-size: 12px;
	line-height: 1.3;
	overflow: hidden;
}



.chat{
	width: 300px;
	height: 80vh;
	max-height: 500px;
	z-index: 2;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background: rgba(0, 0, 0, 0.5);
	border-radius: 20px;
	box-shadow: 0 5px 30px rgba(0, 0, 0, 0.2);

}

.chat-title{
	background: rgba(0, 0, 0, 0.2);
	padding: 10px 10px 10px 50px;
	color: #fff;
	flex: 0 1 45px;
	position: relative;
	z-index: 2;
	text-align: left;
	text-transform: uppercase;
}



.chat-title h1, .chat-title h2{
	font-weight: normal;
	font-size: 10px;
	margin: 0;
	padding: 0;
}

.chat-title h2{
	color: rgba(255, 255, 255, 0.5);
	font-size: 8px;
	letter-spacing: 1px;

}

.chat-title .avatar{
	position: absolute;
	top: 12px;
	left: 15px;
	width: 18px;
	height: 18px;
	z-index: 1;
	border-radius: 30px;
	overflow: hidden;
	margin: 0;
	padding: 0;
	border: 2px solid rgba(255, 255, 255, 0.24);
	transform: scale(1.8);
	display: flex;
	align-items: center;
	justify-content: center
}

.msgs {
	flex: 1 1 auto;
	color: rgba(255, 255, 255, 0.5);
	overflow: hidden;
	position: relative;
	width: 100%;
}

.msg-box {
	flex: 0 1 40px;
	width: 100%;
	background: rgba(0, 0, 0, 0.3);
	padding: 10px;
	position: relative;
}

.msg-box .msg-input{
	background: none;
	border: none;
	outline: none !important;
	resize: none;
	color: rgba(255, 255, 255, 0.7);
	font-size: 11px;
	height: 17px;
	margin: 0;
	padding-right: 20px;
	width: 265px;
}

.msg-box textarea:focus:-webkit-placeholder{
	color: transparent;
}

.msg-box .msg-submit{
	position: absolute;
	z-index: 1;
	top: 9px;
	right: 10px;
	border: none;
	color: #fff;
	background: #00bfff;
	font-size: 10px;
	cursor: pointer;
	text-transform: uppercase;
	line-height: 1;
	padding: 6px 10px;
	outline: none !important;
	transition: backgound 0.2s ease;
}

.msg-box .msg-submit:hover{
	background-color: #87CEFA; 
	animation: pulse 1s infinite;
}

@keyframes pulse {
	0% {
		box-shadow: 0 0 0 0 rgba(0, 191, 255, 0.4);
	}
	70% {
		box-shadow: 0 0 0 10px rgba(0, 191, 255, 0);
	}
	100% {
		box-shadow: 0 0 0 0 rgba(0, 191, 255, 0);
	}
}

.message {
	display: flex;
	align-items: center;
}

.avatar-container {
	margin-right: 10px;
	margin-left: 5px;
	font-size: 20px;
}

.bot-text-container {
	clear: both;
	float: left;
	padding: 6px 6px 6px;
	border-radius: 10px 10px 10px 0;
	background: rgba(0, 0, 0, 0.3);
	margin: 8px 0;
	font-size: 11px;
	line-height: 1.4;
	position: relative;
	text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
	margin-right: 10px;
}

.bot-timestamp {
	bottom: -15px;
	font-size: 9px;
	color: rgba(255, 255, 255, 0.3);
	margin-left: 32px;
}

.message-container {
  display: flex;
  flex-direction: column;
  margin-right: 10px;
}

.user-message {
  align-self: flex-end;
  color: #fff;
  text-align: right;
  background: linear-gradient(120deg, #248a24, #257287);
  padding: 6px 6px 6px;
  border-radius: 10px 10px 0 10px;
  margin-bottom: 10px;
}

.user-timestamp {
  font-size: 9px;
  color: rgba(255, 255, 255, 0.5);
  text-align: right;
}

.msgs-content {
  height: calc(100% - 1px);
  padding: 5px;
  overflow-y: auto; /* Add this line */
}

::-webkit-scrollbar {
  width: 8px;
  background-color: transparent;
}

/* Make the scrollbar handle transparent */
::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.2);
}




